Bug 228914

Summary: Break bad APIs (gets(), getwd()) (keep compat symbols))
Product: Base System Reporter: Rodney W. Grimes <rgrimes>
Component: binAssignee: Ed Maste <emaste>
Status: Closed FIXED    
Severity: Affects Many People CC: cem, rgrimes
Priority: ---    
Version: CURRENT   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222796
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=231066
Bug Depends on:    
Bug Blocks: 231027    

Description Rodney W. Grimes freebsd_committer 2018-06-12 08:12:19 UTC
Break bad APIs (gets(), getwd()) (keep compat symbols)
Comment 1 Ed Maste freebsd_committer 2018-07-04 18:53:04 UTC
gets removal is ready to go once gcc ports are fixed
review: https://reviews.freebsd.org/D12298
exp-run: PR222796
Comment 2 Ed Maste freebsd_committer 2018-08-30 14:04:28 UTC
This is still waiting on the gcc ports.
Comment 3 Ed Maste freebsd_committer 2020-09-25 14:23:03 UTC
gets committed as r351659
Comment 4 Ed Maste freebsd_committer 2021-07-27 21:33:13 UTC
getwd() is possible to use correctly, so it lacks the same argument for removal as gets()